package com.pqs9900.service.DataInfo;

import com.njcn.pojo.terminal.DeviceUnitPO;
import com.njcn.pojo.terminal.DeviceUnitVO;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * system
 *
 * @author cdf
 * @date 2023/8/17
 */
public interface DeviceUnitService {

    boolean addUnit(DeviceUnitPO deviceUnitPO);

    List<DeviceUnitVO> unitTable(Integer devFlag);

    DeviceUnitVO lineUnitDetail(Integer lineId);

    DeviceUnitPO devUnitDetail(Integer devId);
}
